> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get mileages

> Get all mileages for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/mileage/mileages
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/mileage/mileages:
    get:
      tags:
        - Mileage
      summary: Get mileages
      description: Get all mileages for the authenticated user
      operationId: getMileages
      parameters:
        - name: lastUpdatedDate
          in: header
          description: Date filter - returns all records modified after the specified date
          schema:
            type: string
          example: '1970-01-01'
        - name: year
          in: query
          description: >-
            Year filter (YYYY) - returns all records for the specified year.
            Null will return all mileages.
          schema:
            type: integer
            format: int32
        - name: type
          in: query
          description: >-
            Type filter - returns all mileages for the specified types. Null or
            empty list will default to PENDING, BUSINESS, & NOT_BUSINESS.
          schema:
            type: array
            items:
              type: string
              enum:
                - PENDING
                - NOT_BUSINESS
                - BUSINESS
        - name: status
          in: query
          description: >-
            Status filter - returns all mileages for the specified statuses.
            Null or empty list will default to ACTIVE.
          schema:
            type: array
            items:
              type: string
              enum:
                - ACTIVE
                - INACTIVE
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSEMileageDTOV5List'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEMileageDTOV5List:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/MileageDTOV5'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    MileageDTOV5:
      required:
        - distance
      type: object
      properties:
        id:
          type: integer
          description: Id of the mileage, required when updating an existing mileage
          format: int64
        distance:
          type: number
          description: Distance of mileage in units found on distanceType
        distanceType:
          type: string
          description: Units on the distance of this mileage
          enum:
            - MILE
            - KILOMETER
        status:
          type: string
          description: Status of this mileage
          readOnly: true
          enum:
            - ACTIVE
            - INACTIVE
        type:
          type: string
          description: Type of this mileage
          enum:
            - PENDING
            - NOT_BUSINESS
            - BUSINESS
        date:
          type: string
          description: Date this mileage was recorded
          format: date-time
        deductionAmount:
          type: number
          description: The estimated deduction amount for this mileage
          readOnly: true
        businessId:
          type: integer
          description: Id of the business associated with this mileage
          format: int64
        clientId:
          type: integer
          description: Id of the client assigned to this mileage
          format: int64
        duration:
          type: integer
          description: The duration of this mileage, in milliseconds
          format: int64
        description:
          type: string
          description: Description for this mileage
        startLat:
          type: number
          description: The latitude at which this drive started
        startLong:
          type: number
          description: The longitude at which this drive started
        endLat:
          type: number
          description: The latitude at which this drive ended
        endLong:
          type: number
          description: The longitude at which this drive ended
        startTime:
          type: string
          description: Time at which the mileage began
          format: date-time
        customData:
          type: object
          description: >-
            Custom JSON in which you can store any data with max length of 2000
            characters
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````